Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper

    java.lang.Object
      com.beasys.commerce.util.PersistenceHelper

public final class PersistenceHelper
extends Object

Persistence Helper provides an optional, cross-platform optimization for dependent objects in the persistence cache. BY DEFAULT THIS FEATURE IS TURNED OFF * This is not required for CMP or BMP.

Nested Class Summary
`static class` | `PersistenceHelper.DefaultSmartCollectionReference`
`static class` | `PersistenceHelper.DefaultSmartEntityReference`
`static class` | `PersistenceHelper.DefaultSmartMapReference`

Constructor Summary
`PersistenceHelper()`

Method Summary
`static SmartEntityReference` | `createDefaultSmartEntityReference()`
`static SmartEntityReference` | `createDefaultSmartEntityReference(EJBObject ejbObject)`
`static SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, BelongingImpl belonging)`
`static SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, EntityImpl entityImpl)`
`static SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, SessionImpl sessionImpl)`
`static SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, BelongingImpl belonging)`
`static SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, EntityImpl entityImpl)`
`static SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, SessionImpl sessionImpl)`
`static SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, BelongingImpl belonging)`
`static SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, EntityImpl entityImpl)` Allocate an instance of a smart map
`static SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, SessionImpl sessionImpl)` Allocate an instance of a smart map
`static Belonging` | `doRelationalBinding(String attributeIdentifier, Belonging value, EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Belonging` | `doRelationalBinding(String attributeIdentifier, Belonging value, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static EJBObject` | `doRelationalBinding(String attributeIdentifier, EJBObject ejbObject, EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static EJBObject` | `doRelationalBinding(String attributeIdentifier, EJBObject ejbObject, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Object` | `doRelationalBinding(String attributeIdentifier, Object value, EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Object` | `doRelationalBinding(String attributeIdentifier, Object value, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Belonging` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging value, Object mapKey, EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Belonging` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging value, Object mapKey, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static EJBObject` | `doRelationalBindingWithMapKey(String attributeIdentifier, EJBObject ejbObject, Object mapKey, EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static EJBObject` | `doRelationalBindingWithMapKey(String attributeIdentifier, EJBObject ejbObject, Object mapKey, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object value, Object mapKey, EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object value, Object mapKey, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Belonging` | `synchronizeWithCache(Belonging value, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static Object` | `synchronizeWithCache(Object value, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static Belonging` | `synchronizeWithCache(String attributeIdentifier, Belonging value, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static Collection` | `synchronizeWithCache(String attributeIdentifier, Collection collection, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static Map` | `synchronizeWithCache(String attributeIdentifier, Map map, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static Object` | `synchronizeWithCache(String attributeIdentifier, Object value, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper

    public PersistenceHelper()

Method Detail

### createDefaultSmartEntityReference

    public static SmartEntityReference createDefaultSmartEntityReference()

### createDefaultSmartEntityReference

    public static SmartEntityReference createDefaultSmartEntityReference(EJBObject ejbObject)

### createSmartCollectionReference

    public static SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                                          SmartCollectionReference targetInstance,
                                                                          BelongingImpl belonging)

### createSmartCollectionReference

    public static SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                                          SmartCollectionReference targetInstance,
                                                                          EntityImpl entityImpl)

### createSmartCollectionReference

    public static SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                                          SmartCollectionReference targetInstance,
                                                                          SessionImpl sessionImpl)

### createSmartEntityReference

    public static SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                                  SmartEntityReference targetInstance,
                                                                  BelongingImpl belonging)

### createSmartEntityReference

    public static SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                                  SmartEntityReference targetInstance,
                                                                  EntityImpl entityImpl)

### createSmartEntityReference

    public static SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                                  SmartEntityReference targetInstance,
                                                                  SessionImpl sessionImpl)

### createSmartMapReference

    public static SmartMapReference createSmartMapReference(String attributeIdentifier,
                                                            SmartMapReference targetInstance,
                                                            BelongingImpl belonging)

### createSmartMapReference

    public static SmartMapReference createSmartMapReference(String attributeIdentifier,
                                                            SmartMapReference targetInstance,
                                                            EntityImpl entityImpl)

  Allocate an instance of a smart map

### createSmartMapReference

    public static SmartMapReference createSmartMapReference(String attributeIdentifier,
                                                            SmartMapReference targetInstance,
                                                            SessionImpl sessionImpl)

  Allocate an instance of a smart map

### doRelationalBinding

    public static Belonging doRelationalBinding(String attributeIdentifier,
                                                Belonging value,
                                                EJBObject parent,
                                                BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static Belonging doRelationalBinding(String attributeIdentifier,
                                                Belonging value,
                                                EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static EJBObject doRelationalBinding(String attributeIdentifier,
                                                EJBObject ejbObject,
                                                EJBObject parent,
                                                BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static EJBObject doRelationalBinding(String attributeIdentifier,
                                                EJBObject ejbObject,
                                                EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static Object doRelationalBinding(String attributeIdentifier,
                                             Object value,
                                             EJBObject parent,
                                             BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBinding

    public static Object doRelationalBinding(String attributeIdentifier,
                                             Object value,
                                             EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static Belonging doRelationalBindingWithMapKey(String attributeIdentifier,
                                                          Belonging value,
                                                          Object mapKey,
                                                          EJBObject parent,
                                                          BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static Belonging doRelationalBindingWithMapKey(String attributeIdentifier,
                                                          Belonging value,
                                                          Object mapKey,
                                                          EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static EJBObject doRelationalBindingWithMapKey(String attributeIdentifier,
                                                          EJBObject ejbObject,
                                                          Object mapKey,
                                                          EJBObject parent,
                                                          BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static EJBObject doRelationalBindingWithMapKey(String attributeIdentifier,
                                                          EJBObject ejbObject,
                                                          Object mapKey,
                                                          EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                       Object value,
                                                       Object mapKey,
                                                       EJBObject parent,
                                                       BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### doRelationalBindingWithMapKey

    public static Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                       Object value,
                                                       Object mapKey,
                                                       EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns:
    an instance of the input value, standardized for mapping to a relational database.

### synchronizeWithCache

    public static final Belonging synchronizeWithCache(Belonging value,
                                                       EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Object synchronizeWithCache(Object value,
                                                    EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Belonging synchronizeWithCache(String attributeIdentifier,
                                                       Belonging value,
                                                       EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Collection synchronizeWithCache(String attributeIdentifier,
                                                        Collection collection,
                                                        EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Map synchronizeWithCache(String attributeIdentifier,
                                                 Map map,
                                                 EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Object synchronizeWithCache(String attributeIdentifier,
                                                    Object value,
                                                    EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved